package com.ruoyi.system.mapper.stamp;


import com.ruoyi.system.domain.stamp.CarExamine;
import com.ruoyi.system.domain.stamp.CarExamineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CarExamineMapper {
    long countByExample(CarExamineExample example);

    int deleteByExample(CarExamineExample example);

    int deleteByPrimaryKey(String id);

    int insert(CarExamine record);

    int insertSelective(CarExamine record);

    List<CarExamine> selectByExample(CarExamineExample example);

    CarExamine selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CarExamine record, @Param("example") CarExamineExample example);

    int updateByExample(@Param("record") CarExamine record, @Param("example") CarExamineExample example);

    int updateByPrimaryKeySelective(CarExamine record);

    int updateByPrimaryKey(CarExamine record);
}